Download payload file

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /executions
  • /:execution_id
  • /payload-files
  • /:uuid

Downloads a file that was uploaded for the given execution

Downloads a file that was uploaded for the given execution with Upload payload files.

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

execution_idrequiredinteger
The ID of the execution

Example: 123456

uuidrequiredstring
The identifier of the uploaded file returned by the upload endpoint

Example: "6f1a2b3c-4d5e-6f70-8192-a3b4c5d6e7f8"

Last modified on Jul 28, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions/:execution_id/payload-files/:uuid" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK